  /* SAS Tip Video: Send email with attachments */

options nonumber nodate;

  /* Set system email options */
options emailsys=SMTP EMAILID="&sysuserid@wnt.sas.com" 
        EMAILHOST="smtp.mydomain.net" EMAILPORT=25;

  /* ORIGNIAL program - all results in the email body */
  /* Set up this email */
filename mymail email "&sysuserid@wnt.sas.com" subject="Report for sashelp.class" 
         lrecl=256 type="TEXT/HTML";

ods _all_ close;
ods html3 body=mymail style=sasweb;
options nocenter;
title;
  /* Start writing the email in a DATA _NULL_ step */
data _null_;
   file print;
   put "Here is the information you asked for.";
   put "Stay SASy!";
   put "Mark";
run;
  /* Insert query results */
PROC SQL;
title "Stats for sashelp.class where age > 10";
   SELECT COUNT(*) 'Head Count'
        , Avg(age) 'Average Age' format=5.1
        , Avg(height) 'Average Height' format=5.1
        , Avg(weight) 'Average Weight' format=5.1
      from sashelp.class
      where age > 10
   ;
   quit;
proc sql;
title "Details from sashelp.class where age > 10";
   SELECT * from sashelp.class where age > 10;
quit;
ods _all_ close;
ods listing;

 
/* Let's attach the detail report as a PDF instead of in the email body*/

ods _all_ close;
  
  /* First, build the Report.pdf file in the same directory as WORK library */
  /* SAS will then delete this PDF along with the WORK library at shutdown  */
ods pdf body="%sysfunc(pathname(work))\Report.pdf" style=Journal;
   PROC SQL;
   title "Details from sashelp.class where age > 10";
   SELECT * from sashelp.class where age > 10;
   quit;
ods _all_ close;

  /* Modified program - some results in the email body, some in attachment */
  /* Set up this email */
filename mymail email "&sysuserid@wnt.sas.com" subject="Report for sashelp.class" 
         lrecl=256 type="TEXT/HTML"
         /* Add the attachment information */ 
         attach="%sysfunc(pathname(work))\Report.pdf";
ods _all_ close;
ods html3 body=mymail style=sasweb;
options nocenter;
title;
data _null_;
   file print;
   put "Here is the information you asked for.";
   put "Stay SASy!";
   put "Mark";
run;
PROC SQL;
title "Stats for sashelp.class where age > 10";
   SELECT COUNT(*) 'Head Count'
        , Avg(age) 'Average Age' format=5.1
        , Avg(height) 'Average Height' format=5.1
        , Avg(weight) 'Average Weight' format=5.1
      from sashelp.class
      where age > 10
   ;
   quit;
ods _all_ close;
ods listing;
