  /* SAS Tip Video: Setting system email options */
%macro sendit(to,subj);
  /* "HELLO WORLD" program for sending email with SAS */
filename mymail email "&to" subject="&subj" lrecl=256;
data _null_;
   file mymail;
   put 'Emailing from SAS is fun!';
   put 'Stay SASy!';
   put 'Mark';
run;
%mend;

  /* On Windows, the default Email System is MAPI */
  /* When we send email with MAPI, the server makes us aware of the process */
%sendit(mark.jordan@sas.com,Testing-Windows Defaults)

  /* If you have more than one Outlook profile, you can send from your */
  /* profile of choice.  You will need the profile name and password   */

  /* Get password */
%window Password columns=40 rows=10 icolumn=1 
   #2 @5 "Email Password:" MyPassword 20 attr=REV_VIDEO display=no
   #3 @5 "Press ENTER when done." ;
%display Password;

  /* Set SAS options and re-send the email */
options EMAILID="Default Outlook Profile" EMAILPW="&MyPassword";
%sendit(mark.jordan@sas.com,Testing - Select Profile and provide Password)

  /* For unattended emailing from SAS, SMTP is a good choice */
  /* My SMTP server does not require authentication, so no password is requred */
options EMAILSYS=SMTP EMAILID="Mark.Jordan@sas.com" 
        EMAILHOST="smtp.mydomain.net" EMAILPORT=25;
%sendit(mark.jordan@sas.com,Testing - SMTP)

